List ClientExternalIntegration (find where)
Find a list of ClientExternalIntegration records that match the specified criteria.
Tip: All query parameters accept multiple values for array filtering — e.g. ?id=1&id=2 or ?id[]=1&id[]=2. This also works within the where parameter: ?where={"id":[1,2,3]}.
Note: The per-attribute filter parameters and the where parameter are mutually exclusive. If where is supplied, the per-attribute filters are ignored — put all filter criteria inside where instead. limit, skip, sort, and populate are unaffected.
query Parameters
whereA JSON-encoded Waterline criteria for advanced filtering. This allows you to take advantage of contains, startsWith, and other sub-attribute criteria modifiers for more powerful find() queries.
Note: If where is supplied, the per-attribute filter query parameters are ignored — where is the entire criteria. (limit, skip, sort, and populate are unaffected.) To combine filters, put them all inside where.
e.g. ?where={"status":1}
limitThe maximum number of records to send back (useful for pagination). Defaults to 30.
skipThe number of records to skip (useful for pagination).
sortThe sort order. By default, returned records are sorted by primary key value in ascending order.
e.g. ?sort=lastName%20ASC
List ClientExternalIntegration (find where) › Responses
Responds with a paged list of ClientExternalIntegration records that match the specified criteria
Create ClientExternalIntegration
Create a new ClientExternalIntegration record.
Create ClientExternalIntegration › Request Body
Aerion model ClientExternalIntegration
Create ClientExternalIntegration › Responses
Responds with a JSON dictionary representing the newly created ClientExternalIntegration instance
Aerion model ClientExternalIntegration
Get ClientExternalIntegration (find one)
Look up the ClientExternalIntegration record with the specified ID.
path Parameters
idThe desired ClientExternalIntegration record's primary key value
Get ClientExternalIntegration (find one) › Responses
Responds with a single ClientExternalIntegration record as a JSON dictionary
Aerion model ClientExternalIntegration
Update ClientExternalIntegration
Partially update an existing ClientExternalIntegration record. Despite using PUT, this endpoint applies PATCH semantics — only the fields included in the request body are modified; omitted fields are left unchanged.
path Parameters
idThe desired ClientExternalIntegration record's primary key value
Update ClientExternalIntegration › Request Body
Aerion model ClientExternalIntegration
Update ClientExternalIntegration › Responses
Responds with the newly updated ClientExternalIntegration record as a JSON dictionary
Aerion model ClientExternalIntegration